#!/bin/sh
+# debian/lilo.config for debconf to be executed before unpacking
set -e
db_text high lilo/new-config || true
db_go
else
- # Check for deprecated PATH. Bug#267538
- if grep -q "^bitmap=/usr/share/lilo/contrib" /etc/lilo.conf; then
- db_beginblock
- db_text high lilo/bad_bitmap || true
- db_endblock
- db_go
- fi
-
if grep -q "^[[:space:]]*large-memory" /etc/lilo.conf; then
db_set lilo/add_large_memory false
else
have_to_run=1
fi
fi
-fi
-if [ x"$isfresh" = x"0" ]; then
+ # Convert old options 'boot' and 'root' to newer diskid or uuid
+ if grep -q -E "^boot|^root|^\troot" /etc/lilo.conf; then
+ db_beginblock
+ db_text high lilo/diskid_uuid || true
+ db_endblock
+ db_go
+ fi
+
if [ -e /boot/boot.b ]; then
have_to_run=1
db_beginblock
fi
fi
-#db_set lilo/runme = false
-
if [ x"$have_to_run" != x"0" ]; then
db_beginblock
db_input high lilo/runme || true
Template: lilo/add_large_memory
Type: boolean
-Default: true
+Default: false
_Description: Do you want to add the large-memory option?
- By default, LILO loads the initrd file into the first 15MB of memory
- to avoid a BIOS limitation with older systems (earlier than 2001).
+ Usually LILO loads the initrd file into the first 15MB of memory to
+ avoid a BIOS limitation with older systems (earlier than 2001 and
+ few systems until 2004).
.
- However, with newer kernels the combination of kernel and initrd
- may not fit into the first 15MB of memory and so the system will not
- boot properly. It seems that the boot issues appear when the
- kernel+initrd combination is larger than 8MB.
+ With newer kernels the combination of kernel and initrd may not fit
+ into the first 15MB of memory. LILO compute the needed size of memory
+ and will automatically use the memory above 15MB, too, if there is
+ enough physical memory.
.
- If this machine has a recent BIOS without the 15MB limitation, you can
- add the 'large-memory' option to /etc/lilo.conf to instruct LILO to use
- more memory for passing the initrd to the kernel. You will need to
- re-run the 'lilo' command to make this option take effect.
- .
- If this machine has an older BIOS, you may need to reduce the size of
- the initrd *before* rebooting. Please see the README.Debian file for
- tips on how to do that.
+ If this machine has a recent BIOS without a 15MB limitation and you
+ want to use memory above 15MB for all kernels, set the 'large-memory'
+ option.
Template: lilo/runme
Type: boolean
some things in that place. If you skip this step, you must run /sbin/lilo
before reboot your computer or your system may not boot again.
-Template: lilo/bad_bitmap
-Type: note
-_Description: Invalid bitmap path
- A deprecated bitmap path entry has been discovered in your LILO configuration
- file (/etc/lilo.conf). You must upgrade this path in order to run LILO. You
- can also run liloconfig(8) and get a fresh configuration file.
+Template: lilo/diskid_uuid
+Type: boolean
+Default: false
+_Description: Do you want to convert boot and root options?
+ Until kernel using the newer disk interface 'libata' you need the newer
+ DiskID and/or UUID in your /etc/lilo.conf the for boot and root options.
+ For the most modern systems you should use this conversion and then run
+ '/sbin/lilo'.
Template: liloconfig/maintitle
Type: title
Template: liloconfig/select_bitmap
Type: select
-Choices: /boot/sarge.bmp, /boot/sid.bmp, /boot/coffee.bmp, /boot/debianlilo.bmp
-Default: /boot/coffee.bmp
+Choices: /boot/tuxlogo.bmp, /boot/inside.bmp, /boot/debianlilo.bmp, /boot/coffee.bmp, /boot/onlyblue.bmp
+Default: /boot/debian.bmp
_Description: The following is the list of the available bitmaps
Template: liloconfig/lilo_error
Type: error
_Description: ERROR!
activate failed! Your system may not be bootable.
-